> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a workflow by name for an end user

> Start a workflow by name for an end user



## OpenAPI

````yaml https://app.herondata.io/swagger post /api/workflow/start_by_name
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/workflow/start_by_name:
    post:
      tags:
        - Workflows
      summary: Start a workflow by name for an end user
      description: Start a workflow by name for an end user
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkflowStartByNameRequestSchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowStartResponseSchema'
          description: Workflow started successfully
        '404':
          description: End user or workflow not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WorkflowStartByNameRequestSchema:
      properties:
        end_user_heron_id:
          type: string
        workflow_name:
          type: string
        workflow_parameters:
          additionalProperties: {}
          default: {}
          type: object
      required:
        - end_user_heron_id
        - workflow_name
      type: object
    WorkflowStartResponseSchema:
      properties:
        action:
          readOnly: true
          type: string
        status:
          readOnly: true
          type: string
        workflow_execution_id:
          readOnly: true
          type: string
        workflow_id:
          readOnly: true
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````